<nav class="navbar navbar-expand-lg fixed-top navbar-transparent" color-on-scroll="500">
    <div class="container">
        <div class="navbar-translate">
            <a class="navbar-brand" href="#">Upcycling</a>
            <button class="navbar-toggler navbar-burger" type="button" data-toggle="collapse" data-target="#navbarToggler" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation" (click)="sidebarToggle()">
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
            </button>
        </div>
        <div _ngcontent-c1="" class="navbar-collapse" id="navbarToggler">
            <ul _ngcontent-c1="" class="navbar-nav ml-auto">
                <div *ngIf="currentUser">
                    <!--
                    <li _ngcontent-c1="" class="nav-item" class="text-light">Connected as {#{{ currentUser.username }}#}</li>-->
                    <li _ngcontent-c1="" class="nav-item">
                        <a _ngcontent-c1="" class="btn btn-primary btn-round" routerLink="/user" routerLinkActive="active">
                            <i _ngcontent-c1="" class="fa fa-user"></i>{{ currentUser.username }}</a>
                    </li>
                    <li _ngcontent-c1="" class="nav-item">
                        <a _ngcontent-c1="" class="btn btn-danger btn-round" (click)="logout()">
                            <i _ngcontent-c1="" class="fa fa-sign-out"></i>Logout</a>
                    </li>
                </div>

                <li _ngcontent-c1="" class="nav-item">
                    <a _ngcontent-c1="" class="nav-link" data-placement="center" routerLink="/about" routerLinkActive="active" rel="tooltip" title="C'est quoi ce site ?">
                        <i class="fa fa-question-circle"></i>
                        <p _ngcontent-c1="" class="d-lg-none">A propos</p>
                    </a>
                </li>
                <li _ngcontent-c1="" class="nav-item">
                    <a _ngcontent-c1="" class="nav-link" data-placement="bottom" routerLink="/upcycled" routerLinkActive="active" rel="tooltip" title="Objets Upcyclés">
                        <i class="fa fa-recycle"></i>
                        <p _ngcontent-c1="" class="d-lg-none">Objets Upcyclés</p>
                    </a>
                </li>
                <li _ngcontent-c1="" class="nav-item">
                    <a _ngcontent-c1="" class="nav-link" data-placement="center" routerLink="/products" routerLinkActive="active" rel="tooltip" title="Objets à recycler">
                        <i class="fa fa-trash"></i>
                        <p _ngcontent-c1="" class="d-lg-none">Objets à donner</p>
                    </a>
                </li>
                <div *ngIf="!currentUser">
                    <li _ngcontent-c1="" class="nav-item">
                        <a _ngcontent-c1="" class="btn btn-success btn-round" routerLink="/login" routerLinkActive="active">
                            <i _ngcontent-c1="" class="fa fa-sign-in"></i>Login</a>
                    </li>

                    <li _ngcontent-c1="" class="nav-item">
                        <a _ngcontent-c1="" class="btn btn-warning btn-round" routerLink="/register" routerLinkActive="active">
                            <i _ngcontent-c1="" class="fa fa-user-plus"></i>Register</a>
                    </li>
                </div>
            </ul>
        </div>

    </div>

</nav>